package com.yd.dal.mapper.meta;

import com.yd.dal.entity.meta.MdTag;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MdTagMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MdTag record);

    int insertSelective(MdTag record);

    MdTag selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MdTag record);

    int updateByPrimaryKey(MdTag record);

    List<MdTag> findByTagIdIn(@Param("tagIds") List<Long> tagIds);
}